Cards

React Bootstrap 5 Cards component

A card is a flexible and extensible content container. It includes options for headers and footers, a wide variety of content, contextual background colors, and powerful display options.


Basic examples

Note: Below are examples of basic cards with mixed content and a fixed width. Cards have no fixed width to start, so they’ll naturally fill the full width of its parent element.

To control the width of the card place it in the grid, use the sizing utilities, or set the width inline. You can learn more in the sizing section.

Simple

Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBBtn
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                    <MDBBtn>Button</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              );
            }
     
        
    

Image

...
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardImage,
              MDBBtn
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBCardImage src='https://mdbootstrap.com/img/new/standard/nature/184.webp' position='top' alt='...' />
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                    <MDBBtn href='#'>Button</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              );
            }
     
        
    

Image with ripple

To add a ripple effect and subtle hover effect you need to modify the HTML markup of the card image.

Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardImage,
              MDBBtn,
              MDBRipple
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBRipple rippleColor='light' rippleTag='div' className='bg-image hover-overlay'>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/nature/111.webp' fluid alt='...' />
                    <a>
                      <div className='mask' style={{ backgroundColor: 'rgba(251, 251, 251, 0.15)' }}></div>
                    </a>
                  </MDBRipple>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                    <MDBBtn href='#'>Button</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              );
            }
     
        
    

Content types

Cards support a wide variety of content, including images, text, list groups, links, and more. Below are examples of what’s supported.

Body

The building block of a card is the <MDBCardBody>. Use it whenever you need a padded section within a card.

This is some text within a card body.
        
            
              import React from 'react';
              import { MDBCard, MDBCardBody } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBCard>
                    <MDBCardBody>This is some text within a card body.</MDBCardBody>
                  </MDBCard>
                );
              }
      
        
    

Images

position="top" places an image to the top of the card. With <MDBCardText>, text can be added to the card. Text within <MDBCardText> can also be styled with the standard HTML tags.

...

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardBody,
              MDBCardText,
              MDBCardImage
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBCardImage src='https://mdbootstrap.com/img/new/standard/nature/182.webp' alt='...' position='top' />
                  <MDBCardBody>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
              );
            }
     
        
    

List groups

Create lists of content in a card with a flush list group.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
            import React from 'react';
            import { MDBCard, MDBListGroup, MDBListGroupItem } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                </MDBCard>
              );
            }
     
        
    
Featured
  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardHeader,
              MDBListGroup,
              MDBListGroupItem
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBCardHeader>Featured</MDBCardHeader>
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                </MDBCard>
              );
            }
     
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
            import React from 'react';
            import { MDBCard, MDBCardFooter } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                  <MDBCardFooter>Card footer</MDBCardFooter>
                </MDBCard>
              );
            }
     
        
    

Kitchen sink

Mix and match multiple content types to create the card you need, or throw everything in there. Shown below are image styles, blocks, text styles, and a list group—all wrapped in a fixed-width card.

...
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardLink,
              MDBListGroup,
              MDBListGroupItem
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard>
                  <MDBCardImage position='top' alt='...' src='https://mdbootstrap.com/img/new/standard/city/062.webp' />
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                  <MDBCardBody>
                    <MDBCardLink href='#'>Card link</MDBCardLink>
                    <MDBCardLink href='#'>Card link</MDBCardLink>
                  </MDBCardBody>
                </MDBCard>
              );
            }
     
        
    

Sizing

Cards assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can change this as needed with custom CSS, grid classes, grid Sass mixins, or utilities.

Using grid markup

Using the grid, wrap cards in columns and rows as needed.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
              import React from 'react';
              import {
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBRow,
                MDBCol,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBRow>
                    <MDBCol sm='6'>
                      <MDBCard>
                        <MDBCardBody>
                          <MDBCardTitle>Special title treatment</MDBCardTitle>
                          <MDBCardText>
                            With supporting text below as a natural lead-in to additional content.
                          </MDBCardText>
                          <MDBBtn href='#'>Go somewhere</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol sm='6'>
                      <MDBCard>
                        <MDBCardBody>
                          <MDBCardTitle>Special title treatment</MDBCardTitle>
                          <MDBCardText>
                            With supporting text below as a natural lead-in to additional content.
                          </MDBCardText>
                          <MDBBtn href='#'>Go somewhere</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                );
              }
     
        
    

Using utilities

Use our handful of available sizing utilities to quickly set a card’s width.

Card title

With supporting text below as a natural lead-in to additional content.

Button

Card title

With supporting text below as a natural lead-in to additional content.

Button
        
            
              import React from 'react';
              import {
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <>
                    <MDBCard className='w-75'>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                        <MDBBtn href='#'>Button</MDBBtn>
                      </MDBCardBody>
                    </MDBCard>
    
                    <br />
    
                    <MDBCard className='w-50'>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                        <MDBBtn href='#'>Button</MDBBtn>
                      </MDBCardBody>
                    </MDBCard>
                  </>
                );
              }
     
        
    

Using custom CSS

Use custom CSS in your stylesheets or as inline styles to set a width.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
              import React from 'react';
              import {
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBCard>
                    <MDBCardBody>
                      <MDBCardTitle>Special title treatment</MDBCardTitle>
                      <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                      <MDBBtn href='#'>Go somewhere</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                );
              }
     
        
    

Text alignment

You can quickly change the text alignment of any card—in its entirety or specific parts—with our text align classes.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
              import React from 'react';
              import {
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <>
                    <MDBCard>
                      <MDBCardBody>
                        <MDBCardTitle>Special title treatment</MDBCardTitle>
                        <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                        <MDBBtn href='#'>Go somewhere</MDBBtn>
                      </MDBCardBody>
                    </MDBCard>
    
                    <br />
    
                    <MDBCard alignment='center'>
                      <MDBCardBody>
                        <MDBCardTitle>Special title treatment</MDBCardTitle>
                        <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                        <MDBBtn href='#'>Go somewhere</MDBBtn>
                      </MDBCardBody>
                    </MDBCard>
    
                    <br />
    
                    <MDBCard alignment='end'>
                      <MDBCardBody>
                        <MDBCardTitle>Special title treatment</MDBCardTitle>
                        <MDBCardText>With supporting text below as a natural lead-in to additional content.</MDBCardText>
                        <MDBBtn href='#'>Go somewhere</MDBBtn>
                      </MDBCardBody>
                    </MDBCard>
                  </>
                );
              }
     
        
    

Navigation

Add some navigation to a card’s header (or block) with MDB pills or tabs components.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
          import React from 'react';
          import {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardHeader,
            MDBTabs,
            MDBTabsItem,
            MDBTabsLink,
            MDBBtn
          } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBCard className='text-center'>
                <MDBCardHeader>
                  <MDBTabs className='card-header-tabs'>
                    <MDBTabsItem>
                      <MDBTabsLink active>
                        Active
                      </MDBTabsLink>
                    </MDBTabsItem>
                    <MDBTabsItem>
                      <MDBTabsLink>
                        Link
                      </MDBTabsLink>
                    </MDBTabsItem>
                    <MDBTabsItem>
                      <MDBTabsLink className='disabled'>
                        Disabled
                      </MDBTabsLink>
                    </MDBTabsItem>
                  </MDBTabs>
                </MDBCardHeader>
                <MDBCardBody>
                  <MDBCardTitle>Special title treatment</MDBCardTitle>
                  <MDBCardText>
                    With supporting text below as a natural lead-in to additional content.
                  </MDBCardText>
                  <MDBBtn>Go somewhere</MDBBtn>
                </MDBCardBody>
              </MDBCard>
            );
          }
          
        
    
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
          import React from 'react';
          import {
            MDBCard,
            MDBCardBody,
            MDBCardTitle,
            MDBCardText,
            MDBCardHeader,
            MDBTabs,
            MDBTabsItem,
            MDBTabsLink
          } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBCard className='text-center'>
                <MDBCardHeader>
                  <MDBTabs pills className='card-header-tabs'>
                    <MDBTabsItem>
                      <MDBTabsLink active>
                        Active
                      </MDBTabsLink>
                    </MDBTabsItem>
                    <MDBTabsItem>
                      <MDBTabsLink>
                        Link
                      </MDBTabsLink>
                    </MDBTabsItem>
                    <MDBTabsItem>
                      <MDBTabsLink className='disabled'>
                        Disabled
                      </MDBTabsLink>
                    </MDBTabsItem>
                  </MDBTabs>
                </MDBCardHeader>
                <MDBCardBody>
                  <MDBCardTitle>Special title treatment</MDBCardTitle>
                  <MDBCardText>
                    With supporting text below as a natural lead-in to additional content.
                  </MDBCardText>
                  <MDBBtn>Go somewhere</MDBBtn>
                </MDBCardBody>
              </MDBCard>
            );
          }
          
        
    

Images

Cards include a few options for working with images. Choose from appending “image caps” at either end of a card, overlaying images with card content, or simply embedding the image in a card.

Image caps

Similar to headers and footers, cards can include top and bottom “image caps”—images at the top or bottom of a card.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

...
        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardImage
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBCard className='mb-3'>
                    <MDBCardImage position='top' src='https://mdbootstrap.com/img/new/slides/041.webp' alt='...' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        content is a little bit longer.
                      </MDBCardText>
                      <MDBCardText>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
    
                  <MDBCard className='mb-3'>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        content is a little bit longer.
                      </MDBCardText>
                      <MDBCardText>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardImage position='bottom' src='https://mdbootstrap.com/img/new/slides/042.webp' alt='...' />
                  </MDBCard>
                </>
              );
            }
     
        
    

Image overlays

Turn an image into a card background and overlay your card’s text. Depending on the image, you may or may not need additional styles or utilities.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardTitle,
              MDBCardText,
              MDBCardOverlay,
              MDBCardImage
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard background='dark' className='text-white'>
                  <MDBCardImage overlay src='https://mdbootstrap.com/img/new/slides/017.webp' alt='...' />
                  <MDBCardOverlay>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      This is a wider card with supporting text below as a natural lead-in to additional content. This
                      content is a little bit longer.
                    </MDBCardText>
                    <MDBCardText>Last updated 3 mins ago</MDBCardText>
                  </MDBCardOverlay>
                </MDBCard>
              );
            }
     
        
    

Note: Content should not be larger than the height of the image. If content is larger than the image the content will be displayed outside the image.


Horizontal

Using a combination of grid and utility classes, cards can be made horizontal in a mobile-friendly and responsive way. In the example below, we remove the grid gutters with .g-0 and use .col-md-* classNames to make the card horizontal at the md breakpoint. Further adjustments may be needed depending on your card content.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

        
            
          import React from 'react';
          import {
            MDBCard,
            MDBCardTitle,
            MDBCardText,
            MDBCardBody,
            MDBCardImage,
            MDBRow,
            MDBCol
          } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBCard style={{ maxWidth: '540px' }}>
                <MDBRow className='g-0'>
                  <MDBCol md='4'>
                    <MDBCardImage src='https://mdbootstrap.com/wp-content/uploads/2020/06/vertical.webp' alt='...' fluid />
                  </MDBCol>
                  <MDBCol md='8'>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        content is a little bit longer.
                      </MDBCardText>
                      <MDBCardText>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCol>
                </MDBRow>
              </MDBCard>
            );
          }
          
        
    

Card styles

Cards include various options for customizing their backgrounds, borders, and color.

Background and color

Use text and background utilities to change the appearance of a card.

Header
Primary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Secondary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Success card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Danger card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Warning card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Info card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Light card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Dark card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardTitle,
              MDBCardText,
              MDBCardBody,
              MDBCardHeader
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBCard background='primary' className='text-white mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Primary card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='secondary' className='text-white mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Secondary card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='success' className='text-white mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Success card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='danger' className='text-white mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Danger card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='warning' className='mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Warning card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='info' className='text-body mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Info card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='light' className='mb-3'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Light card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard background='dark' className='text-white'>
                    <MDBCardHeader>Header</MDBCardHeader>
                    <MDBCardBody>
                      <MDBCardTitle>Dark card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and make up the bulk of the card's content.
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
                </div>
              );
            }
     
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.

Border

Use border utilities to change just the border-color of a card. Note that you can put .text-{color} classNames on the parent <MDBCard> or a subset of the card’s contents as shown below.

Header
Primary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Secondary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Success card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Danger card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Warning card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Info card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Light card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Dark card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
          import React from 'react';
          import {
            MDBCard,
            MDBCardTitle,
            MDBCardText,
            MDBCardBody,
            MDBCardHeader
          } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <div>
                <MDBCard shadow='0' border='primary' background='white' className='mb-3'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody className='text-primary'>
                    <MDBCardTitle>Primary card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard
                  shadow='0'
                  border='secondary'
                  background='white'
                  className='mb-3'
                >
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody className='text-secondary'>
                    <MDBCardTitle>Secondary card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard shadow='0' border='success' background='white' className='mb-3'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody className='text-success'>
                    <MDBCardTitle>Success card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard shadow='0' border='danger' background='white' className='mb-3'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody className='text-danger'>
                    <MDBCardTitle>Danger card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard shadow='0' border='warning' background='white' className='mb-3'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Warning card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard shadow='0' border='info' background='white' className='mb-3'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Info card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard shadow='0' border='light' background='white' className='mb-3'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Light card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>

                <MDBCard shadow='0' border='dark' background='white'>
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody className='text-dark'>
                    <MDBCardTitle>Dark card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
              </div>
            );
          }
          
        
    

Mixins utilities

You can also change the borders on the card header and footer as needed, and even remove their background-color with .bg-transparent.

Header
Success card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardTitle,
              MDBCardText,
              MDBCardBody,
              MDBCardHeader,
              MDBCardFooter
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCard border='success' background='white' shadow='0' className='mb-3'>
                  <MDBCardHeader background='transparent' border='success'>
                    Header
                  </MDBCardHeader>
                  <MDBCardBody className='text-success'>
                    <MDBCardTitle>Success card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                  <MDBCardFooter background='transparent' border='success'>
                    Footer
                  </MDBCardFooter>
                </MDBCard>
              );
            }
     
        
    

Card layout

In addition to styling the content within cards, Bootstrap includes a few options for laying out series of cards. For the time being, these layout options are not yet responsive.

Card groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups start off stacked and use display: flex; to become attached with uniform dimensions starting at the sm breakpoint.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

...
Card title

This card has supporting text below as a natural lead-in to additional content.

Last updated 3 mins ago

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

Last updated 3 mins ago

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardGroup
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCardGroup>
                  <MDBCard>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/city/041.webp' alt='...' position='top' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        content is a little bit longer.
                      </MDBCardText>
                      <MDBCardText>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/city/042.webp' alt='...' position='top' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content.
                      </MDBCardText>
                      <MDBCardText>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
  
                  <MDBCard>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/city/043.webp' alt='...' position='top' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        card has even longer content than the first to show that equal height action.
                      </MDBCardText>
                      <MDBCardText>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCardGroup>
              );
            }
     
        
    

When using card groups with footers, their content will automatically line up.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This card has supporting text below as a natural lead-in to additional content.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardFooter,
              MDBCardGroup
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBCardGroup>
                  <MDBCard>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/city/041.webp' alt='...' position='top' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        content is a little bit longer.
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardFooter>
                      <small className='text-muted'>Last updated 3 mins ago</small>
                    </MDBCardFooter>
                  </MDBCard>
  
                  <MDBCard>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/city/042.webp' alt='...' position='top' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content.
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardFooter>
                      <small className='text-muted'>Last updated 3 mins ago</small>
                    </MDBCardFooter>
                  </MDBCard>
  
                  <MDBCard>
                    <MDBCardImage src='https://mdbootstrap.com/img/new/standard/city/043.webp' alt='...' position='top' />
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to additional content. This
                        card has even longer content than the first to show that equal height action.
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardFooter>
                      <small className='text-muted'>Last updated 3 mins ago</small>
                    </MDBCardFooter>
                  </MDBCard>
                </MDBCardGroup>
              );
            }
     
        
    

Grid cards

Use the Bootstrap grid system and its .row-cols classes to control how many grid columns (wrapped around your cards) you show per row. For example, here’s .row-cols-1 laying out the cards on one column, and .row-cols-md-2 splitting four cards to equal width across multiple rows, from the medium breakpoint up.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBRow,
              MDBCol
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBRow className='row-cols-1 row-cols-md-2 g-4'>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/041.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/042.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/043.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/044.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              );
            }
     
        
    

Change it to .row-cols-3 and you’ll see the fourth card wrap.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBRow,
              MDBCol
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBRow className='row-cols-1 row-cols-md-3 g-4'>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/041.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/042.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/043.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/044.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              );
            }
     
        
    

When you need equal height, add .h-100 to the cards. If you want equal heights by default, you can set $card-height: 100% in Sass.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a short card.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBRow,
              MDBCol
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBRow className='row-cols-1 row-cols-md-3 g-4'>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/041.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/042.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>This is a short card.</MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/043.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/044.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              );
            }
     
        
    

Just like with card groups, card footers will automatically line up.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This card has supporting text below as a natural lead-in to additional content.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            
            import React from 'react';
            import {
              MDBCard,
              MDBCardImage,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBCardFooter,
              MDBRow,
              MDBCol
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBRow className='row-cols-1 row-cols-md-3 g-4'>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/044.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to additional content.
                          This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                      <MDBCardFooter>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardFooter>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/043.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This card has supporting text below as a natural lead-in to additional content.
                        </MDBCardText>
                      </MDBCardBody>
                      <MDBCardFooter>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardFooter>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard className='h-100'>
                      <MDBCardImage
                        src='https://mdbootstrap.com/img/new/standard/city/042.webp'
                        alt='...'
                        position='top'
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a wider card with supporting text below as a natural lead-in to additional content. This
                          card has even longer content than the first to show that equal height action.
                        </MDBCardText>
                      </MDBCardBody>
                      <MDBCardFooter>
                        <small className='text-muted'>Last updated 3 mins ago</small>
                      </MDBCardFooter>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              );
            }
     
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Cards - API


Import

        
            
          import {
            MDBCard,
            MDBCardBody,
            MDBCardFooter,
            MDBCardHeader,
            MDBCardImage,
            MDBCardOverlay,
            MDBCardSubTitle,
            MDBCardTitle,
            MDBCardText,
            MDBCardGroup,
            MDBCardLink,
          } from 'mdb-react-ui-kit';
        
        
    

Properties

MDBCard

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCard element <MDBCard tag="section" />
border String '' Sets a border for a card <MDBCard border="secondary" />
shadow String '' Sets a shadow for a card <MDBCard shadow="1" />
background String '' Sets a background color for a card <MDBCard background="secondary" />
alignment String '' Defines a text alignment inside the card <MDBCard alignment="end" />

MDBCardHeader

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardHeader element <MDBCardHeader tag="section" />
border String '' Sets a border for a MDBCardHeader <MDBCardHeader border="secondary" />
background String '' Sets a background color for a MDBCardHeader <MDBCardHeader background="secondary" />

MDBCardBody

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardBody element <MDBCardBody tag="section" />

MDBCardGroup

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardGroup element <MDBCardGroup tag="section" />

MDBCardOverlay

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardOverlay element <MDBCardOverlay tag="section" />

MDBCardTitle

Name Type Default Description Example
tag String 'h5' Defines tag of the MDBCardTitle element <MDBCardTitle tag="section" />

MDBCardSubTitle

Name Type Default Description Example
tag String 'p' Defines tag of the MDBCardSubTitle element <MDBCardSubTitle tag="section" />

MDBCardText

Name Type Default Description Example
tag String 'p' Defines tag of the MDBCardText element <MDBCardText tag="section" />

MDBCardImage

Name Type Default Description Example
overlay Boolean '' Adds a .card-img className for overlay purposes <MDBCardImage overlay />
fluid Boolean '' Adds a .img-fluid className <MDBCardImage fluid />
position String '' Sets an image position in the card <MDBCardImage position="top" />

CSS variables

As part of MDB’s evolving CSS variables approach, accordion now uses local CSS variables on .card, .card-header and .card-footer for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .card
        --#{$prefix}card-spacer-y: #{$card-spacer-y};
        --#{$prefix}card-spacer-x: #{$card-spacer-x};
        --#{$prefix}card-title-spacer-y: #{$card-title-spacer-y};
        --#{$prefix}card-border-width: #{$card-border-width};
        --#{$prefix}card-border-color: #{$card-border-color};
        --#{$prefix}card-border-radius: #{$card-border-radius};
        --#{$prefix}card-box-shadow: #{$card-box-shadow};
        --#{$prefix}card-inner-border-radius: #{$card-inner-border-radius};
        --#{$prefix}card-cap-padding-y: #{$card-cap-padding-y};
        --#{$prefix}card-cap-padding-x: #{$card-cap-padding-x};
        --#{$prefix}card-cap-bg: #{$card-cap-bg};
        --#{$prefix}card-cap-color: #{$card-cap-color};
        --#{$prefix}card-height: #{$card-height};
        --#{$prefix}card-color: #{$card-color};
        --#{$prefix}card-bg: #{$card-bg};
        --#{$prefix}card-img-overlay-padding: #{$card-img-overlay-padding};
        --#{$prefix}card-group-margin: #{$card-group-margin};

        // .card-header
        --#{$prefix}card-header-border-bottom-color: #{$card-border-color};
    
        // .card-footer
        --#{$prefix}card-footer-border-top-color: #{$card-border-color};
    
        // .card-header
        --#{$prefix}card-header-border-width: #{$card-header-border-width};
        --#{$prefix}card-header-border-color: #{$card-header-border-color};
      
        // .card-footer
        --#{$prefix}card-footer-border-color: #{$card-footer-border-color};
        --#{$prefix}card-footer-border-width: #{$card-footer-border-width};
        
        
    

SCSS variables

        
            
        $card-spacer-y: 1.5rem;
        $card-spacer-x: 1.5rem;
        $card-title-spacer-y: $spacer * 0.5;
        $card-border-width: $border-width;
        $card-border-color: var(--#{$prefix}border-color-translucent);
        $card-border-radius: 0.5rem;
        $card-box-shadow: null;
        $card-inner-border-radius: subtract($card-border-radius, $card-border-width);
        $card-cap-padding-y: $card-spacer-y * 0.5;
        $card-cap-padding-x: $card-spacer-x;
        $card-cap-bg: rgba(255, 255, 255, 0);
        $card-cap-color: null;
        $card-height: null;
        $card-color: null;
        $card-bg: $white;
        $card-img-overlay-padding: 1.5rem;
        $card-group-margin: $grid-gutter-width * 0.5;
        $card-footer-background-color: rgba(255, 255, 255, 0);
        $card-header-border-width: 2px;
        $card-header-border-color: hsl(0, 0%, 96%);
        $card-footer-border-width: 2px;
        $card-footer-border-color: hsl(0, 0%, 96%);

Cards

Vue Bootstrap 5 Cards component

A card is a flexible and extensible content container. It includes options for headers and footers, a wide variety of content, contextual background colors, and powerful display options.


Basic examples

Note: Below are examples of basic cards with mixed content and a fixed width. Cards have no fixed width to start, so they’ll naturally fill the full width of its parent element.

To control the width of the card place it in the grid, use the sizing utilities, or set the width inline. You can learn more in the sizing section.

Simple

Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
              <template>
                <MDBCard>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the
                      card's content.
                    </MDBCardText>
                    <MDBBtn color="primary">Button</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBBtn
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Image

...
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
        
            
              <template>
                <MDBCard>
                  <MDBCardImg
                    src="https://mdbootstrap.com/img/new/standard/nature/184.webp"
                    top
                    alt="..."
                  />
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the
                      card's content.
                    </MDBCardText>
                    <MDBBtn tag="a" href="#!" color="primary">Button</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBBtn } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg,
                    MDBBtn
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Image with ripple

To add a ripple effect and subtle hover effect you need to add mdbRipple directive to the image wrapper.

Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
        
            
              <template>
                <MDBCard>
                  <a v-mdb-ripple="{ color: 'light' }">
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/nature/184.webp" top alt="..." />
                  </a>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the
                      card's content.
                    </MDBCardText>
                    <MDBBtn tag="a" href="#!" color="primary">Button</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBBtn, mdbRipple } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg,
                    MDBBtn
                  },
                  directives: {
                    mdbRipple
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBBtn, mdbRipple } from "mdb-vue-ui-kit";
              
              const vMdbRipple = mdbRipple
            </script>
          
        
    

Content types

Cards support a wide variety of content, including images, text, list groups, links, and more. Below are examples of what’s supported.

Body

The building block of a card is the MDBCardBody. Use it whenever you need a padded section within a card.

This is some text within a card body.
        
            
              <template>
                <MDBCard>
                  <MDBCardBody>This is some text within a card body.</MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
            </script>
          
        
    

Images

MDBCardImg top places an image to the top of the card. With MDBCardText, text can be added to the card. Text within MDBCardText can also be styled with the standard template tags.

...

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
              <template>
                <MDBCard style="width: 18rem">
                  <MDBCardImg top src="https://mdbootstrap.com/img/new/standard/nature/182.webp" alt="..."/>
                  <MDBCardBody>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the
                      card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardLink } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardLink,
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardLink } from "mdb-vue-ui-kit";
            </script>
          
        
    

List groups

Create lists of content in a card with a flush list group.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
              <template>
                <MDBCard style="width: 18rem">
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBListGroup,
                    MDBListGroupItem
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    
Featured
  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
              <template>
                <MDBCard style="width: 18rem">
                  <MDBCardHeader>Featured</MDBCardHeader>
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardHeader, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardHeader,
                    MDBListGroup,
                    MDBListGroupItem
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardHeader, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
              <template>
                <MDBCard style="width: 18rem">
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                  <MDBCardFooter>Card footer</MDBCardFooter>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardFooter, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardFooter,
                    MDBListGroup,
                    MDBListGroupItem
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardFooter, MDBListGroup, MDBListGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Kitchen sink

Mix and match multiple content types to create the card you need, or throw everything in there. Shown below are image styles, blocks, text styles, and a list group—all wrapped in a fixed-width card.

Chicago Skyscrapers
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Vestibulum at eros
        
            
              <template>
                <MDBCard style="width: 18rem">
                  <MDBCardImg top src="https://mdbootstrap.com/img/new/standard/city/062.webp" alt="..."/>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up the bulk of the
                      card's content.
                    </MDBCardText>
                  </MDBCardBody>
                  <MDBListGroup flush>
                    <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                    <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                    <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
                  </MDBListGroup>
                  <MDBCardBody>
                    <MDBCardLink href="#">Card link</MDBCardLink>
                    <MDBCardLink href="#">Another link</MDBCardLink>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardLink, MDBCardImg, MDBCardGroup, MDBCardGroupItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardLink,
                    MDBCardImg,
                    MDBCardGroup,
                    MDBCardGroupItem
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardLink, MDBCardImg, MDBCardGroup, MDBCardGroupItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Sizing

Cards assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can change this as needed with custom CSS, grid classes, grid Sass mixins, or utilities.

Using grid markup

Using the grid, wrap cards in columns and rows as needed.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
                <template>
                  <MDBRow>
                    <MDBCol sm="6">
                      <MDBCard>
                        <MDBCardBody>
                          <MDBCardTitle>Special title treatment</MDBCardTitle>
                          <MDBCardText>
                            With supporting text below as a natural lead-in to additional content.
                          </MDBCardText>
                          <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol sm="6">
                      <MDBCard>
                        <MDBCardBody>
                          <MDBCardTitle>Special title treatment</MDBCardTitle>
                          <MDBCardText>
                            With supporting text below as a natural lead-in to additional content.
                          </MDBCardText>
                          <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                </template>
              
        
    
        
            
                <script>
                  import { MDBRow, MDBCol, MDBCard, MDBCardBody, MDBCardHeader, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
                  export default {
                    components: {
                      MDBRow,
                      MDBCol,
                      MDBCard,
                      MDBCardBody,
                      MDBCardHeader,
                      MDBCardTitle,
                      MDBCardText,
                      MDBBtn
                    }
                  };
                </script>
              
        
    
        
            
              <script setup lang="ts">
                import { MDBRow, MDBCol, MDBCard, MDBCardBody, MDBCardHeader, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
              </script>
            
        
    

Using utilities

Use our handful of available sizing utilities to quickly set a card’s width.

Card title

With supporting text below as a natural lead-in to additional content.

Button

Card title

With supporting text below as a natural lead-in to additional content.

Button
        
            
                <template>
                  <MDBCard class="w-75">
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        With supporting text below as a natural lead-in to
                        additional content.
                      </MDBCardText>
                      <MDBBtn tag="a" href="#!" color="primary">Button</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                  <br />
                  <MDBCard class="w-50">
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        With supporting text below as a natural lead-in to
                        additional content.
                      </MDBCardText>
                      <MDBBtn tag="a" href="#!" color="primary">Button</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                </template>
              
        
    
        
            
                <script>
                  import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
                  export default {
                    components: {
                      MDBCard,
                      MDBCardBody,
                      MDBCardTitle,
                      MDBCardText,
                      MDBBtn
                    }
                  };
                </script>
              
        
    
        
            
              <script setup lang="ts">
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
              </script>
            
        
    

Using custom CSS

Use custom CSS in your stylesheets or as inline styles to set a width.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
                <template>
                  <MDBCard style="width: 18rem">
                    <MDBCardBody>
                      <MDBCardTitle>Special title treatment</MDBCardTitle>
                      <MDBCardText>
                        With supporting text below as a natural lead-in to additional content.
                      </MDBCardText>
                      <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                </template>
              
        
    
        
            
                <script>
                  import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
                  export default {
                    components: {
                      MDBCard,
                      MDBCardBody,
                      MDBCardTitle,
                      MDBCardText,
                      MDBBtn
                    }
                  };
                </script>
              
        
    
        
            
              <script setup lang="ts">
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
              </script>
            
        
    

Text alignment

You can quickly change the text alignment of any card—in its entirety or specific parts—with our text align classes.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
              <template>
                <MDBCard style="width: 18rem">
                  <MDBCardBody>
                    <MDBCardTitle>Special title treatment</MDBCardTitle>
                    <MDBCardText>
                      With supporting text below as a natural lead-in to additional content.
                    </MDBCardText>
                    <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="center" style="width: 18rem">
                  <MDBCardBody>
                    <MDBCardTitle>Special title treatment</MDBCardTitle>
                    <MDBCardText>
                      With supporting text below as a natural lead-in to additional content.
                    </MDBCardText>
                    <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="end" style="width: 18rem">
                  <MDBCardBody>
                    <MDBCardTitle>Special title treatment</MDBCardTitle>
                    <MDBCardText>
                      With supporting text below as a natural lead-in to additional content.
                    </MDBCardText>
                    <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBBtn
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Navigation

Add some navigation to a card’s header (or block) with MDB pills or tabs components.

Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
            <template>
              <MDBCard text="center">
                <MDBCardHeader>
                  <ul class="nav nav-tabs card-header-tabs">
                    <li class="nav-item">
                      <a class="nav-link active" aria-current="true" href="#!"
                        >Active</a
                      >
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" href="#!">Link</a>
                    </li>
                    <li class="nav-item">
                      <a
                        class="nav-link disabled"
                        href="#!"
                        tabindex="-1"
                        aria-disabled="true"
                        >Disabled</a
                      >
                    </li>
                  </ul>
                </MDBCardHeader>
                <MDBCardBody>
                  <MDBCardTitle>Special title treatment</MDBCardTitle>
                  <MDBCardText>
                    With supporting text below as a natural lead-in to additional
                    content.
                  </MDBCardText>
                  <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
                </MDBCardBody>
              </MDBCard>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBCard,
                MDBCardBody,
                MDBCardHeader,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBCard,
                  MDBCardBody,
                  MDBCardHeader,
                  MDBCardTitle,
                  MDBCardText,
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script>
              import {
                MDBCard,
                MDBCardBody,
                MDBCardHeader,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from "mdb-vue-ui-kit";
            </script>
          
        
    
Special title treatment

With supporting text below as a natural lead-in to additional content.

Go somewhere
        
            
            <MDBCard text="center">
              <MDBCardHeader>
                <ul class="nav nav-pills card-header-tabs">
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="true" href="#!"
                      >Active</a
                    >
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#!">Link</a>
                  </li>
                  <li class="nav-item">
                    <a
                      class="nav-link disabled"
                      href="#!"
                      tabindex="-1"
                      aria-disabled="true"
                      >Disabled</a
                    >
                  </li>
                </ul>
              </MDBCardHeader>
              <MDBCardBody>
                <MDBCardTitle>Special title treatment</MDBCardTitle>
                <MDBCardText>
                  With supporting text below as a natural lead-in to additional
                  content.
                </MDBCardText>
                <MDBBtn tag="a" href="#!" color="primary">Go somewhere</MDBBtn>
              </MDBCardBody>
            </MDBCard>
          
        
    
        
            
            <script>
              import {
                MDBCard,
                MDBCardBody,
                MDBCardHeader,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBCard,
                  MDBCardBody,
                  MDBCardHeader,
                  MDBCardTitle,
                  MDBCardText,
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script>
              import {
                MDBCard,
                MDBCardBody,
                MDBCardHeader,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from "mdb-vue-ui-kit";
            </script>
          
        
    

Images

Cards include a few options for working with images. Choose from appending “image caps” at either end of a card, overlaying images with card content, or simply embedding the image in a card.

Image caps

Similar to headers and footers, cards can include top and bottom “image caps”—images at the top or bottom of a card.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

...
        
            
              <template>
                <MDBCard class="mb-3">
                  <MDBCardImg top src="https://mdbootstrap.com/img/new/slides/041.webp" alt="..."/>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      This is a wider card with supporting text below as a natural lead-in to additional
                      content. This content is a little bit longer.
                    </MDBCardText>
                    <MDBCardText>
                      <small class="text-muted">Last updated 3 mins ago</small>
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard>
                  <MDBCardBody>
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      This is a wider card with supporting text below as a natural lead-in to additional
                      content. This content is a little bit longer.
                    </MDBCardText>
                    <MDBCardText>
                      <small class="text-muted">Last updated 3 mins ago</small>
                    </MDBCardText>
                  </MDBCardBody>
                  <MDBCardImg bottom src="https://mdbootstrap.com/img/new/slides/042.webp" alt="..."/>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader, MDBCardImg, MDBBtn } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardHeader,
                    MDBCardImg,
                    MDBBtn
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader, MDBCardImg, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Image overlays

Turn an image into a card background and overlay your card’s text. To do it add overlay props to MDBCardImg and place your content inside the MDBCardImg item. Depending on the image, you may or may not need additional styles or utilities.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

        
            
              <template>
                <MDBCard bg="dark" text="white">
                  <MDBCardImg
                    src="https://mdbootstrap.com/img/new/slides/017.webp"
                    alt="..."
                    overlay
                  >
                    <MDBCardTitle>Card title</MDBCardTitle>
                    <MDBCardText>
                      This is a wider card with supporting text below as a natural
                      lead-in to additional content. This content is a little bit
                      longer.
                    </MDBCardText>
                    <MDBCardText>Last updated 3 mins ago</MDBCardText>
                  </MDBCardImg>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
            </script>
          
        
    

Note: Content should not be larger than the height of the image. If content is larger than the image the content will be displayed outside the image.


Horizontal

Using a combination of grid and utility classes, cards can be made horizontal in a mobile-friendly and responsive way. In the example below, we remove the grid gutters with .g-0> and use MDBCol md="*"> classes to make the card horizontal at the md> breakpoint. Further adjustments may be needed depending on your card content.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

        
            
            <template>
              <MDBCard class="mb-3" style="max-width: 540px">
                <MDBRow class="g-0">
                  <MDBCol md="4">
                    <MDBCardImg fluid src="https://mdbootstrap.com/wp-content/uploads/2020/06/vertical.webp" alt="..."/>
                  </MDBCol>
                  <MDBCol md="8">
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to
                        additional content. This content is a little bit longer.
                      </MDBCardText>
                      <MDBCardText>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCol>
                </MDBRow>
              </MDBCard>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardBody,
                  MDBCardTitle,
                  MDBCardText,
                }
              };
            </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBRow, MDBCol, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText } from "mdb-vue-ui-kit";
          </script>
        
        
    

Card styles

Cards include various options for customizing their backgrounds, borders, and color.

Background and color

Use text and background utilities to change the appearance of a card.

Header
Primary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Secondary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Success card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Danger card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Warning card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Info card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Light card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Dark card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
            <template>
              <MDBCard text="white" bg="primary" class="mb-3">
                <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Primary card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="white" bg="secondary" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Secondary card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="white" bg="success" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Success card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="white" bg="danger" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Danger card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard bg="warning" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Warning card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="body" bg="info" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Info card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard bg="light" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Light card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard text="white" bg="dark" class="mb-3">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Dark card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardHeader
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader } from "mdb-vue-ui-kit";
            </script>
          
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.

Border

Use border utilities to change just the border-color of a card. Note that you can put text={color} prop on the MDBCard or a subset of the card’s contents as shown below.

Header
Primary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Secondary card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Success card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Danger card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Warning card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Info card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Light card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Header
Dark card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
              <template>
                <MDBCard border="primary" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody text="primary">
                    <MDBCardTitle>Primary card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="secondary" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody text="secondary">
                    <MDBCardTitle>Secondary card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="success" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody text="success">
                    <MDBCardTitle>Success card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="danger" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody text="danger">
                    <MDBCardTitle>Danger card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="warning" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Warning card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="info" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Info card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="light" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Light card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
                <MDBCard border="dark" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader>Header</MDBCardHeader>
                  <MDBCardBody>
                    <MDBCardTitle>Dark card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make
                      up the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardHeader
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader } from "mdb-vue-ui-kit";
            </script>
          
        
    

Mixins utilities

You can also change the borders on the card header and footer as needed, and even remove their background-color with bg="transparent prop.

Header
Success card title

Some quick example text to build on the card title and make up the bulk of the card's content.

        
            
              <template>
                <MDBCard border="success" shadow="0" class="mb-3" style="max-width: 18rem">
                  <MDBCardHeader bg="transparent" border="success">
                    Header
                  </MDBCardHeader>
                  <MDBCardBody text="success">
                    <MDBCardTitle>Success card title</MDBCardTitle>
                    <MDBCardText>
                      Some quick example text to build on the card title and make up
                      the bulk of the card's content.
                    </MDBCardText>
                  </MDBCardBody>
                  <MDBCardFooter bg="transparent" border="success">
                    Footer
                  </MDBCardFooter>
                </MDBCard>
              </template>
            
        
    
        
            
              <script>
                import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader, MDBCardFooter } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardHeader,
                    MDBCardFooter
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardHeader, MDBCardFooter } from "mdb-vue-ui-kit";
            </script>
          
        
    

Card layout

In addition to styling the content within cards, Bootstrap includes a few options for laying out series of cards. For the time being, these layout options are not yet responsive.

Card groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups start off stacked and use display: flex; to become attached with uniform dimensions starting at the sm breakpoint.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

Last updated 3 mins ago

...
Card title

This card has supporting text below as a natural lead-in to additional content.

Last updated 3 mins ago

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

Last updated 3 mins ago

        
            
              <template>
                <MDBCardGroup>
                  <MDBCard>
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/041.webp" top alt="..."/>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural
                        lead-in to additional content. This content is a little bit
                        longer.
                      </MDBCardText>
                      <MDBCardText>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
                  <MDBCard>
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/042.webp" top alt="..."/>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This card has supporting text below as a natural lead-in to
                        additional content.
                      </MDBCardText>
                      <MDBCardText>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
                  <MDBCard>
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/043.webp" top alt="..."/>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural
                        lead-in to additional content. This card has even longer
                        content than the first to show that equal height action.
                      </MDBCardText>
                      <MDBCardText>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardText>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCardGroup>
              </template>
            
        
    
        
            
              <script>
                import { MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCardGroup,
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
            </script>
          
        
    

When using card groups with footers, their content will automatically line up.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This card has supporting text below as a natural lead-in to additional content.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            
              <template>
                <MDBCardGroup>
                  <MDBCard>
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/041.webp" top alt="..."/>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to
                        additional content. This content is a little bit longer.
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardFooter>
                      <small class="text-muted">Last updated 3 mins ago</small>
                    </MDBCardFooter>
                  </MDBCard>
                  <MDBCard>
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/042.webp" top alt="..."/>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This card has supporting text below as a natural lead-in to additional content.
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardFooter>
                      <small class="text-muted">Last updated 3 mins ago</small>
                    </MDBCardFooter>
                  </MDBCard>
                  <MDBCard>
                    <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/043.webp" top alt="..."/>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        This is a wider card with supporting text below as a natural lead-in to
                        additional content. This card has even longer content than the first to show
                        that equal height action.
                      </MDBCardText>
                    </MDBCardBody>
                    <MDBCardFooter>
                      <small class="text-muted">Last updated 3 mins ago</small>
                    </MDBCardFooter>
                  </MDBCard>
                </MDBCardGroup>
              </template>
            
        
    
        
            
              <script>
                import { MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBCardFooter } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCardGroup,
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg,
                    MDBCardFooter
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBCardFooter } from "mdb-vue-ui-kit";
            </script>
          
        
    

Grid cards

Use the Bootstrap grid system and its MDBRow cols props to control how many grid columns (wrapped around your cards) you show per row. For example, here’s MDBRow laying out the cards on one column, and MDBRow cols="md-2 splitting four cards to equal width across multiple rows, from the medium breakpoint up.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

        
            
              <template>
                <MDBRow :cols="['1','md-2']" class="g-4">
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/041.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/042.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/043.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/044.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </template>
            
        
    
        
            
              <script>
                import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCol,
                    MDBRow,
                    MDBCardGroup,
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
            </script>
          
        
    

Change it to MDBRow cols="md-3 and you’ll see the fourth card wrap.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

        
            
            <template>
                <MDBRow :cols="['1', 'md-3']" class="g-4">
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/041.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/042.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/043.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/044.webp" top alt="..."/>
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </template>
            
        
    
        
            
              <script>
                import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCol,
                    MDBRow,
                    MDBCardGroup,
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
            </script>
          
        
    

When you need equal height, add .h-100 to the cards. If you want equal heights by default, you can set $card-height: 100% in Sass.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This is a short card.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content.

...
Card title

This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

        
            
              <template>
                <MDBRow :cols="['1', 'md-3']" class="g-4">
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/041.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/042.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>This is a short card.</MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/043.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/044.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a longer card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </template>
            
        
    
        
            
              <script>
                import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCol,
                    MDBRow,
                    MDBCardGroup,
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg } from "mdb-vue-ui-kit";
            </script>
          
        
    

Just like with card groups, card footers will automatically line up.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.

...
Card title

This card has supporting text below as a natural lead-in to additional content.

...
Card title

This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.

        
            
              <template>
                <MDBRow :cols="['1', 'md-3']" class="g-4">
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/044.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a wider card with supporting text below as a natural lead-in to
                          additional content. This content is a little bit longer.
                        </MDBCardText>
                      </MDBCardBody>
                      <MDBCardFooter>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardFooter>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/043.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This card has supporting text below as a natural lead-in to additional
                          content.
                        </MDBCardText>
                      </MDBCardBody>
                      <MDBCardFooter>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardFooter>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard class="h-100">
                      <MDBCardImg
                        src="https://mdbootstrap.com/img/new/standard/city/042.webp"
                        top
                        alt="..."
                      />
                      <MDBCardBody>
                        <MDBCardTitle>Card title</MDBCardTitle>
                        <MDBCardText>
                          This is a wider card with supporting text below as a natural lead-in to
                          additional content. This card has even longer content than the first to show
                          that equal height action.
                        </MDBCardText>
                      </MDBCardBody>
                      <MDBCardFooter>
                        <small class="text-muted">Last updated 3 mins ago</small>
                      </MDBCardFooter>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </template>
            
        
    
        
            
              <script>
                import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBCardFooter } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBCol,
                    MDBRow,
                    MDBCardGroup,
                    MDBCard,
                    MDBCardBody,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardImg,
                    MDBCardFooter
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBCol, MDBRow, MDBCardGroup, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBCardImg, MDBCardFooter } from "mdb-vue-ui-kit";
            </script>
          
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Cards - API


Import

        
            
          <script>
            import {
              MDBCard,
              MDBCardBody,
              MDBCardHeader,
              MDBCardTitle,
              MDBCardText,
              MDBCardLink,
              MDBCardImg,
              MDBCardFooter,
              MDBCardGroup
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

MDBCard

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCard element <MDBCard tag="section" />
border String Changes card's border <MDBCard border="warning" />
bg String Changes card's color <MDBCard bg="primary" />
text String | Array Sets attributes for text inside the card element <MDBCard text="dark" /> <MDBCard :text="['dark', 'center']"/>
shadow String Changes card's shadow <MDBCard shadow="0" />

MDBCardBody

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardBody element <MDBCardBody tag="section" />
text String | Array Sets attributes for text inside the card body element <MDBCardBody text="dark" /> <MDBCardBody :text="['dark', 'center']"/>

MDBCardHeader

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardHeader element <MDBCardHeader tag="section" />
bg String Changes header's color <MDBCardHeader bg="primary" />
border String Changes header's element border <MDBCardHeader border="warning" />

MDBCardTitle

Name Type Default Description Example
tag String 'h5' Defines tag of the MDBCardTitle element <MDBCardTitle tag="h6" />
subtitle Boolean false Changes component behavior to be rendered as subtitle with h6 tag <MDBCardTitle subtitle />

MDBCardText

Name Type Default Description Example
tag String 'p' Defines tag of the MDBCardText element <MDBCardText tag="h1" />

MDBCardFooter

Name Type Default Description Example
tag String 'footer' Defines tag of the MDBCardFooter element <MDBCardFooter tag="section" />
bg String Changes header's color <MDBCardFooter bg="primary" />
border String Changes header's element border <MDBCardFooter border="warning" />

MDBCardGroup

Name Type Default Description Example
tag String 'div' Defines tag of the MDBCardGroup element <MDBCardGroup tag="section" />

CSS variables

As part of MDB’s evolving CSS variables approach, accordion now uses local CSS variables on .card, .card-header and .card-footer for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .card
        --#{$prefix}card-spacer-y: #{$card-spacer-y};
        --#{$prefix}card-spacer-x: #{$card-spacer-x};
        --#{$prefix}card-title-spacer-y: #{$card-title-spacer-y};
        --#{$prefix}card-title-color: #{$card-title-color};
        --#{$prefix}card-subtitle-color: #{$card-subtitle-color};
        --#{$prefix}card-border-width: #{$card-border-width};
        --#{$prefix}card-border-color: #{$card-border-color};
        --#{$prefix}card-border-radius: #{$card-border-radius};
        --#{$prefix}card-box-shadow: #{$card-box-shadow};
        --#{$prefix}card-inner-border-radius: #{$card-inner-border-radius};
        --#{$prefix}card-cap-padding-y: #{$card-cap-padding-y};
        --#{$prefix}card-cap-padding-x: #{$card-cap-padding-x};
        --#{$prefix}card-cap-bg: #{$card-cap-bg};
        --#{$prefix}card-cap-color: #{$card-cap-color};
        --#{$prefix}card-height: #{$card-height};
        --#{$prefix}card-color: #{$card-color};
        --#{$prefix}card-bg: #{$card-bg};
        --#{$prefix}card-img-overlay-padding: #{$card-img-overlay-padding};
        --#{$prefix}card-group-margin: #{$card-group-margin};

        // .card-header
        --#{$prefix}card-header-border-bottom-color: #{$card-border-color};
    
        // .card-footer
        --#{$prefix}card-footer-border-top-color: #{$card-border-color};
    
        // .card-header
        --#{$prefix}card-header-border-width: #{$card-header-border-width};
        --#{$prefix}card-header-border-color: #{$card-header-border-color};
      
        // .card-footer
        --#{$prefix}card-footer-border-color: #{$card-footer-border-color};
        --#{$prefix}card-footer-border-width: #{$card-footer-border-width};
        
        
    

SCSS variables

        
            
        $card-spacer-y: 1.5rem;
        $card-spacer-x: 1.5rem;
        $card-title-spacer-y: $spacer * 0.5;
        $card-title-color: null;
        $card-subtitle-color: null;
        $card-border-width: var(--#{$prefix}border-width);
        $card-border-color: rgba(0, 0, 0, 0.175);
        $card-border-radius: 0.5rem;
        $card-box-shadow: $box-shadow-4;
        $card-inner-border-radius: subtract($card-border-radius, $card-border-width);
        $card-cap-padding-y: $card-spacer-y * 0.5;
        $card-cap-padding-x: $card-spacer-x;
        $card-cap-bg: rgba(255, 255, 255, 0);
        $card-cap-color: null;
        $card-height: null;
        $card-color: null;
        $card-bg: var(--#{$prefix}surface-bg);
        $card-img-overlay-padding: 1.5rem;
        $card-group-margin: $grid-gutter-width * 0.5;
        $card-footer-background-color: rgba(255, 255, 255, 0);
        $card-header-border-width: 2px;
        $card-header-border-color: var(--#{$prefix}divider-color)
        $card-footer-border-width: 2px;
        $card-footer-border-color: var(--#{$prefix}divider-color);